
#
# Table structure for table 'waba_feature'
#

CREATE TABLE waba_feature (
  id int(10) unsigned NOT NULL auto_increment,
  contig_id int(10) unsigned DEFAULT '0' NOT NULL,
  seq_start int(10) DEFAULT '0' NOT NULL,
  seq_end int(10) DEFAULT '0' NOT NULL,
  score double(16,4) DEFAULT '0.0000' NOT NULL,
  strand int(1) DEFAULT '1' NOT NULL,
  analysis_id int(10) unsigned DEFAULT '0' NOT NULL,
  name varchar(40),
  hit_start int(11) DEFAULT '0' NOT NULL,
  hit_end int(11) DEFAULT '0' NOT NULL,
  hit_name varchar(60) DEFAULT '' NOT NULL,
  evalue varchar(20),
  perc_ident tinyint(10),
  phase tinyint(1),
  end_phase tinyint(1),
  state enum('coding','high','low') DEFAULT 'low' NOT NULL,
  cigar text,
  PRIMARY KEY (id),
  KEY contig_ana_score (contig_id,analysis_id,score),
  KEY hit_name (hit_name)
);

#
# Table structure for table 'waba_fset'
#

CREATE TABLE waba_fset (
  id int(10) unsigned NOT NULL auto_increment,
  contig_id int(10) unsigned DEFAULT '0' NOT NULL,
  seq_start int(10) DEFAULT '0' NOT NULL,
  seq_end int(10) DEFAULT '0' NOT NULL,
  score double(16,4) DEFAULT '0.0000' NOT NULL,
  strand int(1) DEFAULT '1' NOT NULL,
  analysis_id int(10) unsigned DEFAULT '0' NOT NULL,
  name varchar(40),
  hit_start int(11) DEFAULT '0' NOT NULL,
  hit_end int(11) DEFAULT '0' NOT NULL,
  hit_name varchar(60) DEFAULT '' NOT NULL,
  evalue varchar(20),
  perc_ident tinyint(10),
  phase tinyint(1),
  end_phase tinyint(1),
  PRIMARY KEY (id),
  KEY contig_ana_score (contig_id,analysis_id,score),
  KEY hid (hit_name)
);

#
# Table structure for table 'waba_fset_feature'
#

CREATE TABLE waba_fset_feature (
  feature int(10) unsigned DEFAULT '0' NOT NULL,
  fset int(10) unsigned DEFAULT '0' NOT NULL,
  rank int(11) DEFAULT '0' NOT NULL,
  PRIMARY KEY (feature,fset,rank),
  KEY fset (fset)
);

